<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!-- XSL Rule file to WCS5.1 Extracted Data to Ariba -->

<!-- Variable Name Definations Section Starts -->
   <xsl:param name="CXMLLocation" select="'http://xml.cXML.org/schemas/cXML/1.2.014/cXML.dtd'"/>

   <!-- Globle Varibales -->
   <xsl:variable name="EmptyString"></xsl:variable>   
   <xsl:variable name="DefaultLeadTime">999</xsl:variable>      
   <xsl:variable name="DefaultLanguagePrefix">en</xsl:variable>         
   <xsl:variable name="DefaultLanguage">en-US</xsl:variable>            
   <xsl:variable name="DefaultCountryCode">US</xsl:variable>               
   <xsl:variable name="DefaultCountryTelephoneCode">011</xsl:variable>                     
   <xsl:variable name="DefaultSupplierDomainName">DUNS</xsl:variable>      

	<xsl:variable name="DefaultUOM">EA</xsl:variable>     
	<xsl:variable name="DefaultClassDomain">UNSPSC</xsl:variable>     
	<xsl:variable name="DefaultClassification">431718</xsl:variable>     

   <!-- Root Element related Variable Definition -->
   <xsl:variable name="Ariba_Root_Element_Name">Index</xsl:variable>
   
   <!-- Supplier related Variable Definitions -->
   <xsl:variable name="Ariba_Supplier_Element_Name">Supplier</xsl:variable>      
   <xsl:variable name="Ariba_SupplierID_Element_Name">SupplierID</xsl:variable>   
   
	  <xsl:variable name="Ariba_SupplierLocation_Element_Name">SupplierLocation</xsl:variable>   
   <xsl:variable name="Ariba_SupplierPartID_Element_Name">SupplierPartID</xsl:variable>   
   
   <xsl:variable name="Ariba_Address_Element_Name">Address</xsl:variable>      
   <xsl:variable name="Ariba_Name_Element_Name">Name</xsl:variable>         
   <xsl:variable name="Ariba_PostalAddress_Element_Name">PostalAddress</xsl:variable>            
   <xsl:variable name="Ariba_DeliverTo_Element_Name">DeliverTo</xsl:variable>            
   <xsl:variable name="Ariba_Street_Element_Name">Street</xsl:variable>            
   <xsl:variable name="Ariba_City_Element_Name">City</xsl:variable>            
   <xsl:variable name="Ariba_State_Element_Name">State</xsl:variable>                     
   <xsl:variable name="Ariba_Country_Element_Name">Country</xsl:variable>            

   <xsl:variable name="Ariba_Email_Element_Name">Email</xsl:variable>         
   
   <xsl:variable name="Ariba_Phone_Element_Name">Phone</xsl:variable>         
   <xsl:variable name="Ariba_TelephoneNumber_Element_Name">TelephoneNumber</xsl:variable>         
   <xsl:variable name="Ariba_CountryCode_Element_Name">CountryCode</xsl:variable>            
   <xsl:variable name="Ariba_AreaOrCityCode_Element_Name">AreaOrCityCode</xsl:variable>               
   <xsl:variable name="Ariba_Number_Element_Name">Number</xsl:variable>            
        
   <xsl:variable name="Ariba_Fax_Element_Name">Fax</xsl:variable>         
   <xsl:variable name="Ariba_URL_Element_Name">URL</xsl:variable>            
   
   <xsl:variable name="Ariba_OrderMethods_Element_Name">OrderMethods</xsl:variable>           
   <xsl:variable name="Ariba_OrderMethods_OrderMethod_Element_Name">OrderMethod</xsl:variable>              
   <xsl:variable name="Ariba_OrderMethods_OrderMethod_OrderTarget_Element_Name">OrderTarget</xsl:variable>                 
   
   <!-- Index Item related Variable Definition -->
   <xsl:variable name="Ariba_IndexItem_Element_Name">IndexItem</xsl:variable>
   <xsl:variable name="Ariba_IndexItem_Add_Element_Name">IndexItemAdd</xsl:variable>
   <xsl:variable name="Ariba_IndexItem_Delete_Element_Name">IndexItemDelete</xsl:variable>
   <xsl:variable name="Ariba_IndexItem_Punchout_Element_Name">IndexItemPunchout</xsl:variable>   
   
   <xsl:variable name="Ariba_ItemID_Element_Name">ItemID</xsl:variable>

   <xsl:variable name="Ariba_ItemDetail_Element_Name">ItemDetail</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_UnitPrice_Element_Name">UnitPrice</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_Description_Element_Name">Description</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_UnitOfMeasure_Element_Name">UnitOfMeasure</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_Calssification_Element_Name">Classification</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_ManufacturerPartID_Element_Name">ManufacturerPartID</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_ManufacturerName_Element_Name">ManufacturerName</xsl:variable>      
   <xsl:variable name="Ariba_ItemDetail_URL_Element_Name">URL</xsl:variable>                     
   <xsl:variable name="Ariba_ItemDetail_Extrinsic_Element_Name">Extrinsic</xsl:variable>  
 
    <xsl:variable name="Ariba_UnitPrice_Money_Element_Name">Money</xsl:variable>                        

   <xsl:variable name="Ariba_IndexItem_Detail_Element_Name">IndexItemDetail</xsl:variable>
   <xsl:variable name="Ariba_LeadTime_Element_Name">LeadTime</xsl:variable>   
  
   
<!-- Variable Name Definations Section Ends -->
   

<!-- Transformation Rules Section Starts -->

   <!-- Root Element Transformation Rule -->   
   <xsl:template match="/">


      <!-- This is   -->
	  <xsl:text disable-output-escaping = "yes">&lt;!DOCTYPE Index SYSTEM "</xsl:text>
	  <xsl:value-of select = "$CXMLLocation"/>
      <xsl:text disable-output-escaping = "yes">"&gt;</xsl:text>
               
      <xsl:element name="{$Ariba_Root_Element_Name}">

		<xsl:element name = "{$Ariba_SupplierID_Element_Name}">
        			<xsl:attribute name = "domain">
					<xsl:apply-templates select="/descendant::orgcode/@codetype"/>
            </xsl:attribute>
            <xsl:apply-templates select="/descendant::orgcode/@code"/>  

     </xsl:element>

          <xsl:apply-templates/>
      </xsl:element>
   </xsl:template>
   


 <!-- WCS Product Element Transformation Rule -->   
   <xsl:template match="catentry">
	
   
      <xsl:element name="{$Ariba_IndexItem_Element_Name}">
      
         <xsl:if test="@published='1'"> <!-- Add/Punchout Item -->
      
            <xsl:element name = "{$Ariba_IndexItem_Add_Element_Name}">         
         
               <xsl:element name = "{$Ariba_ItemID_Element_Name}">
                  <xsl:element name = "{$Ariba_SupplierPartID_Element_Name}">
                     <xsl:value-of select = "@partnumber"/>
                  </xsl:element>
               </xsl:element>

               <!-- assign product reference number to a varibale -->
                  <xsl:variable name="Product_ReferenceNumber">
			<xsl:apply-templates select="@catentry_id"/>
			</xsl:variable>   
                     
               <xsl:element name = "{$Ariba_ItemDetail_Element_Name}">

                  <xsl:element name = "{$Ariba_ItemDetail_UnitPrice_Element_Name}">                     
				  
					 
		    <xsl:variable name="curr">
                        <xsl:apply-templates select="/descendant::offer[attribute::catentry_id=string($Product_ReferenceNumber)]/@currency"/>
			</xsl:variable>
		    <xsl:variable name="value">
				<xsl:apply-templates select="/descendant::offer[attribute::catentry_id=string($Product_ReferenceNumber)]/@price"/>
			</xsl:variable>				     				  
		    <xsl:element name = "{$Ariba_UnitPrice_Money_Element_Name}">                                             
                        <xsl:attribute name = "currency">
                           <xsl:value-of select="$curr"/>						   
                        </xsl:attribute>
                        <xsl:value-of select="$value"/>						   
                     </xsl:element>                     
                </xsl:element>

                <xsl:element name = "{$Ariba_ItemDetail_Description_Element_Name}">                     
                     <xsl:attribute name = "xml:lang" namespace="whatever" >
                        <xsl:value-of select = "$DefaultLanguagePrefix"/>
                     </xsl:attribute>
                     <xsl:value-of select = "@longdescription" />                                                
                  </xsl:element>

                  <xsl:element name = "{$Ariba_ItemDetail_UnitOfMeasure_Element_Name}">                     
                       <xsl:apply-templates select="@quantitymeasure"/>                                        
<!-- 						<xsl:value-of select = "$DefaultUOM"/>  -->       
                  </xsl:element>
                  
                  <xsl:element name = "{$Ariba_ItemDetail_Calssification_Element_Name}">                     
                     <xsl:attribute name = "domain">
                       <xsl:apply-templates select="@domain"/>  
 							 <!-- 		<xsl:value-of select = "$DefaultClassDomain"/>  -->

                     </xsl:attribute>
  	                   <xsl:apply-templates select="@code"/>                                             
  <!--							<xsl:value-of select = "$DefaultClassification"/>  -->   

                  </xsl:element>

                  <xsl:element name = "{$Ariba_ItemDetail_ManufacturerPartID_Element_Name}">                     
                     <xsl:apply-templates select="@mfpartnumber"/>                                                
                  </xsl:element>

                  <xsl:element name = "{$Ariba_ItemDetail_ManufacturerName_Element_Name}">                     
                     <xsl:apply-templates select="@mfname"/>                                                
                  </xsl:element>

                  
               </xsl:element>
            
               <xsl:element name = "{$Ariba_IndexItem_Detail_Element_Name}">
                  <xsl:element name = "{$Ariba_LeadTime_Element_Name}">
                     <xsl:value-of select = "$DefaultLeadTime" />
                  </xsl:element>
               </xsl:element>
            
            </xsl:element>
            
         </xsl:if>

         <xsl:if test="@published='2'">   <!-- Delete Item -->
      
            <xsl:element name = "{$Ariba_IndexItem_Delete_Element_Name}">         
         
               <xsl:element name = "{$Ariba_ItemID_Element_Name}">
                  <xsl:element name = "{$Ariba_SupplierPartID_Element_Name}">
                     <xsl:value-of select = "@partnumber"/>
                  </xsl:element>
               </xsl:element>
            
            </xsl:element>
            
         </xsl:if>
            
      </xsl:element>
      
   </xsl:template>
        
<!-- Transformation Rules Section Ends -->
      
</xsl:stylesheet>