@echo off

setlocal

call d:\WebSphere\CommerceServer60\bin\setenv.bat

set DB_NAME=oracle
set WCS_DBNAME=g10
set UID=wcs
set PWD=wcs1

set FILTER_NAME=ExportFilter.xml
set FILTER_OUTPUT_FILE_NAME=xmltocXML_filterout.xml

set TRANSFORM_INDEX_FILE=Export_cXML_index.xsl
set TRANSFORM_CONTRACT_FILE=Export_cXML_contract.xsl
set TRANSFORM_SUPPLIER_FILE=Export_cXML_supplier.xsl

set TRANSFORMED_INDEXOUT_FILE_NAME=XmltocXML_IndexOut.xml
set TRANSFORMED_CONTRACTOUT_FILE_NAME=XmltocXML_ContractOut.xml
set TRANSFORMED_SUPPLIEROUT_FILE_NAME=XmltocXML_SupplierOut.xml


if "%DB_NAME%"=="db2" goto runDB2SQL


if "%DB_NAME%"=="oracle" goto runOracleSQL

:runOracleSQL
call d:\WebSphere\CommerceServer60\bin\setdbenv.oracle.bat

sqlplus -s %UID%/%PWD%@%WCS_DBNAME% < createview_ora.sql

echo Extracting the data...
%JAVA_HOME%\bin\java -classpath %CP% %massextract% -dbname %WCS_DBNAME% -dbuser %UID% -dbpwd %PWD%  -filter %FILTER_NAME% -outfile %FILTER_OUTPUT_FILE_NAME% -customizer OracleConnectionCustomizer
echo Data Extracted......

echo Transforming the Index file...
%JAVA_HOME%\bin\java -classpath %CP% %xmltransform% -infile  %FILTER_OUTPUT_FILE_NAME% -transform %TRANSFORM_INDEX_FILE% -outfile %TRANSFORMED_INDEXOUT_FILE_NAME%
echo Transformation of Index file complete......

echo Transforming the Contract file...
%JAVA_HOME%\bin\java -classpath %CP% %xmltransform% -infile  %FILTER_OUTPUT_FILE_NAME% -transform %TRANSFORM_CONTRACT_FILE% -outfile %TRANSFORMED_CONTRACTOUT_FILE_NAME%
echo Transformation of Contract file complete......

echo Transforming the Supplier file...
%JAVA_HOME%\bin\java -classpath %CP% %xmltransform% -infile  %FILTER_OUTPUT_FILE_NAME% -transform %TRANSFORM_SUPPLIER_FILE% -outfile %TRANSFORMED_SUPPLIEROUT_FILE_NAME%
echo Transformation of Supplier file complete......
echo Dropping the views
sqlplus -s %UID%/%PWD%@%WCS_DBNAME% < dropview.sql
goto exit



:runDB2SQL
call d:\WebSphere\CommerceServer60\bin\setdbenv.db2.bat

echo db2 connect to %WCS_DBNAME% user %UID% using %PWD%
db2 connect to %WCS_DBNAME% user %UID% using %PWD%
echo db2 -tvf createview_db2.sql

db2 -tvf createview_db2.sql

echo Extracting the data...
%JAVA_HOME%\bin\java -classpath %CP% %massextract% -filter %FILTER_NAME% -outfile %FILTER_OUTPUT_FILE_NAME% -dbname %WCS_DBNAME% -dbuser %UID% -dbpwd %PWD%  
echo Data Extracted......

echo Transforming the Index file...
%JAVA_HOME%\bin\java -classpath %CP% %xmltransform% -infile  %FILTER_OUTPUT_FILE_NAME% -transform %TRANSFORM_INDEX_FILE% -outfile %TRANSFORMED_INDEXOUT_FILE_NAME%
echo Transformation of Index file complete......

echo Transforming the Contract file...
%JAVA_HOME%\bin\java -classpath %CP% %xmltransform% -infile  %FILTER_OUTPUT_FILE_NAME% -transform %TRANSFORM_CONTRACT_FILE% -outfile %TRANSFORMED_CONTRACTOUT_FILE_NAME%
echo Transformation of Contract file complete......

echo Transforming the Supplier file...
%JAVA_HOME%\bin\java -classpath %CP% %xmltransform% -infile  %FILTER_OUTPUT_FILE_NAME% -transform %TRANSFORM_SUPPLIER_FILE% -outfile %TRANSFORMED_SUPPLIEROUT_FILE_NAME%
echo Transformation of Supplier file complete......

echo db2 -tvf dropview.sql
db2 -tvf dropview.sql
db2 connect reset
goto exit



:exit
:end