<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!-- XSL Rule file to WCS Extracted Data to PECOS -->

<xsl:strip-space elements = "import" />

<xsl:output
  method = "text" 
  omit-xml-declaration = "yes"
  indent = "no"
/> 


<!-- Variable Name Definations Section Starts -->
   <xsl:variable name="FieldSeperator">,</xsl:variable>
   <xsl:variable name="RecordSeperator">&#13;&#10;</xsl:variable>   
   
   <!-- Global Variables -->
   <xsl:variable name="SupplierID">-2000</xsl:variable>      
   <xsl:variable name="CIFVersion">CIF_I_V3.0</xsl:variable>      
   <xsl:variable name="CURRENCY">CURRENCY:USD</xsl:variable>      
   <xsl:variable name="CHARSET">CHARSET: </xsl:variable>      
   <xsl:variable name="SEMANTIC">SEMANTIC: </xsl:variable>  
   <xsl:variable name="semvalue">CONTRACT</xsl:variable>  
   <xsl:variable name="SUPPLIERID_DOMAIN">SUPPLIERID_DOMAIN: </xsl:variable>      
   <xsl:variable name="supiddomain">DUNS</xsl:variable> 
   <xsl:variable name="COMMENTS">COMMENTS: </xsl:variable>      
   <xsl:variable name="DUNS">DUNS: </xsl:variable>      
   <xsl:variable name="dunsvalue">TRUE</xsl:variable>      
   <xsl:variable name="FIELDNAMES">FIELDNAMES: </xsl:variable>  
   <xsl:variable name="DATA">DATA</xsl:variable>         
   <xsl:variable name="ENDOFDATA">ENDOFDATA</xsl:variable>         
   
   <xsl:variable name="Product_ReferenceNumber"><xsl:apply-templates select="@catentry_id"/></xsl:variable>       	              	                   
   <xsl:variable name="seperator">_</xsl:variable> 
   <xsl:variable name="openbraces">{</xsl:variable> 
   <xsl:variable name="closebraces">}</xsl:variable> 
   <xsl:variable name="equals">=</xsl:variable> 
   <xsl:variable name="dlt">false</xsl:variable> 
   <xsl:variable name="colseperator">;</xsl:variable> 
   
   <xsl:variable name="fldnames">Supplier ID, Supplier Part ID, Supplier Part Auxiliary ID, Unit Price, Price Segment</xsl:variable>
  
   <xsl:param name="buyorgname" select="'Park Avenue'"/>
<!-- Variable Name Definations Section Ends -->

   

<!-- Transformation Rules Section Starts -->

   <!-- Root Element Transformation Rule -->   
   <xsl:template match="/">                     
      <xsl:value-of select = "$CIFVersion"/>
      <xsl:text disable-output-escaping = "yes">&#13;&#10;</xsl:text>                                                 
      
      <xsl:value-of select = "$CHARSET"/>
      <xsl:text disable-output-escaping = "yes">&#13;&#10;</xsl:text>                                                 
      
      <xsl:value-of select = "$COMMENTS"/>
      <xsl:text disable-output-escaping = "yes">&#13;&#10;</xsl:text>                                                 
      
      <xsl:value-of select = "$DUNS"/>
      <xsl:value-of select="$dunsvalue"/>
      <xsl:text disable-output-escaping = "yes">&#13;&#10;</xsl:text>                                                 
        
      <xsl:value-of select = "$SEMANTIC"/>
      <xsl:value-of select="$semvalue"/>
      <xsl:text disable-output-escaping = "yes">&#13;&#10;</xsl:text>                                                       
      
      <xsl:value-of select = "$SUPPLIERID_DOMAIN"/>
      <xsl:value-of select="$supiddomain"/>
      <xsl:text disable-output-escaping = "yes">&#13;&#10;</xsl:text>    
      
      <xsl:value-of select = "$CURRENCY"/>
      <xsl:text disable-output-escaping = "yes">&#13;&#10;</xsl:text>     
     
      <xsl:value-of select = "$FIELDNAMES"/>
      <xsl:value-of select="$fldnames"/>
      <xsl:text disable-output-escaping = "yes">&#13;&#10;</xsl:text>                        

      <xsl:value-of select = "$DATA"/>
      <xsl:text disable-output-escaping = "yes">&#13;</xsl:text>                                                  
                                 

      <xsl:apply-templates/>
		
     <xsl:value-of select = "$ENDOFDATA"/>        
     <xsl:text disable-output-escaping = "yes">&#13;&#10;</xsl:text>                

   </xsl:template>
   <xsl:template match="catentry">   
   
     
    
             
      <!--     ******************************************************  -->
      
                 
     	<!-- <xsl:for-each select = "//catentry[attribute::member_id=($SupplierID)]" >              -->
            <xsl:variable name="Product_ReferenceNumber"><xsl:apply-templates select="@catentry_id"/></xsl:variable>       	              	                   
            <xsl:variable name ="UnitPrice"><xsl:apply-templates select="//offer[attribute::catentry_id=string($Product_ReferenceNumber)]/@price"/></xsl:variable>
    
<!-- Output block start -->
                            
      <xsl:variable name="Supplier_DUNS_Number"><xsl:apply-templates select="//orgcode/@code"/></xsl:variable>
      <xsl:value-of select = "$Supplier_DUNS_Number"/>                                              
      <xsl:value-of select = "$FieldSeperator"/>                                                                  

      <xsl:variable name="Supplier_PartID"><xsl:value-of select="$Product_ReferenceNumber"/></xsl:variable>  
      <xsl:value-of select = "$Supplier_PartID"/>                                              
      <xsl:value-of select = "$FieldSeperator"/>                                                                  
      
      <xsl:value-of select = "$FieldSeperator"/>                                                                  
      
      <xsl:variable name="Unit_Price"><xsl:value-of select="$UnitPrice"/></xsl:variable>
      <xsl:value-of select = "$Unit_Price"/>                                              
      <xsl:value-of select = "$FieldSeperator"/>                                                                  
 	   <xsl:text disable-output-escaping = "yes">&#13;</xsl:text>          
	 
                        
<!--      </xsl:for-each>     -->
      
      </xsl:template>
  
	
	

          
<!-- Transformation Rules Section Ends -->

</xsl:stylesheet>
