<%
/*
 *----------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. 2001-2004
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *----------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested under all conditions.  IBM, therefore, cannot
//* guarantee its reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names are fictitious and any similarity
//* to the names and addresses used by actual persons or business
//* enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*
%>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>

<%@ page import="com.ibm.commerce.server.JSPHelper"%>
<%@ page import="com.ibm.commerce.order.objects.OrderItemAccessBean"%>
<%@ page import="com.ibm.commerce.me.datatype.*"%>
<%@ page import="com.ibm.commerce.me.common.ErrorCode"%>
<%@ page import="com.ibm.commerce.server.WcsApp" %>

<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.payment.beans.*" %>
<%@ page import="com.ibm.commerce.price.beans.FormattedMonetaryAmountDataBean" %>
<%@ page import="com.ibm.commerce.contract.beans.ContractDataBean" %>
<%@ page import="com.ibm.commerce.user.objects.UserRegistryAccessBean" %>
<%@ page import="com.ibm.commerce.me.common.ECMEUserConstants"   %>
<%@ page import="com.ibm.commerce.catalog.objects.CatalogEntryDescriptionAccessBean"%>



<%@ include file="include/EnvironmentSetup.jsp"%>

<% 
   String  xmlEncoding = "";
   String  xmlVersion  = "";
   String  cxmlVersion  = "";
   String  dtd ="";
   String xmlLang ="";

   xmlVersion = "1.0"; 
   xmlEncoding = "UTF-8"; 
   cxmlVersion = "1.1.008"; 
   dtd = "http://xml.cXML.org/schemas/cXML/1.2.014/cXML.dtd"; 

   
   String payLoadId=null;
          
   String quoteKey = null;
   
   String punchOutOrderMessage = "";
   
   
   String postBackUrl = "";
   
   String member_Id_user = null;
   String storeEnt_Id = null;
   
   String buyerCode = "";
   String buyerCodeDomain = "";
   String supplierCode = "";
   String supplierCodeDomain = "";
   String senderCode = "";
   String senderCodeDomain = "";
   String sharedSecret = "";
   String userAgent = "";
   String buyerCookie = "";
   String reqId = "";
   
   String currency = "";
   String totalMoney = "";
   String totalMoneyShipping = "";
   String shippingDescription = "";
   String trackingId = "";
   Vector shoppingCartItems = null;
   
   String itemDetails = "";
   
   
   java.sql.Timestamp t = new java.sql.Timestamp(System.currentTimeMillis());
   // modified for defect number 11836
   //String gmtOff = String.valueOf((TimeZone.getDefault().getRawOffset())/3600000);
   //String isoTime = t.toString().substring(0,10) + "T" + t.toString().substring(11,19) + gmtOff + ".00";

   float offset = TimeZone.getDefault().getRawOffset()/3600000f;
   int i = (int)offset;
   String s = ((i >= 0) ? "+" : "") + String.valueOf(i);
   if ((offset - (float)i) != 0)
   {
       s += ":30";
   }
   else
   {
       s += ":00";
   }
   
   String isoTime = t.toString().substring(0,10) + "T" + t.toString().substring(11,19) + s;
   // end of modified for defect number 11836

   
   
   CIQuote cIQuote = null;
   

   JSPHelper jSPHelper = new JSPHelper(request);
  
   quoteKey = jSPHelper.getParameter("quoteKey");
   
   System.out.println("quoteKey in Jsp = "+ quoteKey);
   
   Hashtable quoteWrapper = QuoteWrapper.getQuoteTable();
   cIQuote = (CIQuote)quoteWrapper.get(quoteKey);
   quoteWrapper.remove(quoteKey);
   
   String hostName = WcsApp.configProperties.getValue("WebServer/HostName");
   if(hostName == null) hostName = request.getRemoteHost();
   
   String currentTime = System.currentTimeMillis()+"";
   long nextValue=0;
   ++nextValue;
   payLoadId = currentTime+"."+ nextValue+"@"+hostName;
   
   
   
   
   
   Credentials buyerCredentials = cIQuote.getBuyerCredentials();
   buyerCode = buyerCredentials.getCode();
   
      
   buyerCodeDomain = buyerCredentials.getCodeDomain();
   System.out.println("In Jsp : buyerCodeDomain = "+ buyerCodeDomain);
   
   Credentials supplierCredentials = cIQuote.getSupplierCredentials();
   supplierCode = supplierCredentials.getCode();
   
   supplierCodeDomain =  supplierCredentials.getCodeDomain();
   
   senderCode = supplierCredentials.getUserId();
   
   senderCodeDomain =  supplierCredentials.getUserIdType();
   
   sharedSecret = supplierCredentials.getPassword();
   
   //Agent cIAgent = cIQuote.getCIAgent();
   userAgent = "IBM WCS 5.1"; //cIAgent.getName();
    
   PurchaseOrderRequestHeader porheader = cIQuote.getPurchaseOrderRequestHeader();
   
   RequisitionerSessionData reqSession = cIQuote.getRequisitionerSessionData();
   
   //buyerCookie = "16JEFPN17JG7H";
   buyerCookie = reqSession.getProcurementSessionCookie();
   
   
   //postBackUrl = "http://sandbox21.hawthorne.ibm.com:3377/punchout";    
   postBackUrl = reqSession.getOrderApprovalURL();
  
   reqId = "vlo";//sessionInfo.getReqId();
  
   currency = porheader.getCurrency(); 
   if(currency == null)
      currency = "USD";
      
   try
   {
      totalMoney = (porheader.getTotalAmount()).toString();
   }
   catch(Exception e)
   {
      totalMoney = "0.0";
   }   
   
   ShippingInfo shippingInfo = porheader.getShippingInfo();
   
    //another currency should be used here
    
   try
   {
      totalMoneyShipping = (shippingInfo.getCharge()).toString();
   }
   
   catch(Exception e)
   {
      totalMoneyShipping = "0.0";
   }   
      
   shippingDescription = shippingInfo.getDescription();
   trackingId = shippingInfo.getTrackingId();
   
   shoppingCartItems = cIQuote.getShoppingCartItems();
   Enumeration orderItems = shoppingCartItems.elements();
   
   while(orderItems.hasMoreElements())
   {
      PurchaseOrderItem eachItem = (PurchaseOrderItem)orderItems.nextElement();
      double quantity = eachItem.getQuantityInDouble();
       System.out.println("In compose cart :"+quantity);
      String supplierPartId = eachItem.getItemId();
      String supplierPartAuxiliaryId = eachItem.getSupplierPartAuxiliaryID();
      String itemPrice = null;
      try
      {
         itemPrice = (eachItem.getItemPrice()).toString();
      }
      catch(Exception e)
      {
         itemPrice = "0.0";
      }
      String currency1 = eachItem.getCurrency();
      String itemDescription = eachItem.getDescription();
      String uom = eachItem.getUnitOfMeasure();
      String manufacturerPartID = eachItem.getManufacturerPartID();
      String manufacturerName = eachItem.getManufacturerName();
      String classificationDomain = eachItem.getClassificationDomain();
      String classificationCode = "26111703"; //eachItem.getClassificationCode();
      
itemDetails += "<ItemIn quantity=\"" + quantity + "\">"
+			"<ItemID>"
+				"<SupplierPartID>"
+					supplierPartId
+				"</SupplierPartID>"
+				"<SupplierPartAuxiliaryID>"
+					supplierPartAuxiliaryId
+				"</SupplierPartAuxiliaryID>"
+			"</ItemID>"
+			"<ItemDetail>"
+				"<UnitPrice>"
+					"<Money currency=\"" + currency1 + "\">"
+						itemPrice
+					"</Money>"
+				"</UnitPrice>"
+				"<Description xml:lang=\"en-US\">"
+					itemDescription
+				"</Description>"
+				"<UnitOfMeasure>"
+					uom
+				"</UnitOfMeasure>"
+				"<Classification domain=\"" + classificationDomain + "\">"
+					classificationCode
+				"</Classification>"
+				"<ManufacturerPartID>"
+					manufacturerPartID
+				"</ManufacturerPartID>"
+				"<ManufacturerName>"
+					manufacturerName
+				"</ManufacturerName>"
+               "<Extrinsic name =\"User\">"
+                   reqId       // defect no : 11817
+               "</Extrinsic>"
+				"</ItemDetail>"
+		"</ItemIn>";
   }


punchOutOrderMessage = "<?xml version=\"" + xmlVersion + "\" encoding=\"" + xmlEncoding + "\"?><!DOCTYPE cXML SYSTEM \"" + dtd + "\">"
+"<cXML timestamp=\""+ isoTime +"\" payloadID=\"" + payLoadId + "\" version=\"" + cxmlVersion + "\">"
+  "<Header>"
+	  "<From>"
+		"<Credential domain=\"" + supplierCodeDomain + "\">"
+			"<Identity>"
+              supplierCode
+           "</Identity>"
+		"</Credential>"
+	"</From>"
+ 	"<To>"
+		"<Credential domain=\"" + buyerCodeDomain + "\">"
+			"<Identity>"
+              buyerCode
+           "</Identity>"
+		"</Credential>"
+	"</To>"
+	"<Sender>"
+		"<Credential domain=\"" + senderCodeDomain + "\">"
+			"<Identity>"
+              senderCode
+           "</Identity>"
+		"</Credential>"
+		"<UserAgent>"
+			userAgent
+		"</UserAgent>"
+	"</Sender>"
+  "</Header>"

+  "<Message>"
+	"<PunchOutOrderMessage>"
+		"<BuyerCookie>"
+			buyerCookie
+		"</BuyerCookie>"
+		"<PunchOutOrderMessageHeader operationAllowed=\"edit\">"
+			"<Total>"
+				"<Money currency=\"" + currency + "\">"
+					totalMoney
+				"</Money>"
+			"</Total>"
+			"<Shipping trackingDomain=\"" + trackingId + "\">"
+				"<Money currency=\"" + currency + "\">"
+					totalMoneyShipping
+				"</Money>"
+				"<Description xml:lang=\"en-US\">"
+					shippingDescription
+				"</Description>"
+			"</Shipping>"
+		"</PunchOutOrderMessageHeader>"

+  itemDetails
+	"</PunchOutOrderMessage>"
+  "</Message>"
+"</cXML>";

        System.out.println("punchOutOrderMessage before replacing = " + punchOutOrderMessage);
        punchOutOrderMessage = replace (punchOutOrderMessage, "<", "&lt;");
        punchOutOrderMessage = replace (punchOutOrderMessage, ">", "&gt;");
        punchOutOrderMessage = replace (punchOutOrderMessage, "\"", "&quot;");
        
        System.out.println("punchOutOrderMessage = " + punchOutOrderMessage);
        
        %>
        <%!

     String replace(String src, String key, String value)
    {
        //Tracer.trace("Replace " + key + "with " + value);
        int index;
        String part1="";
        String part2=src;

        while ((index = part2.indexOf(key)) != -1)
        {
            part1 += part2.substring(0, index) + value;
            part2 = part2.substring(index+key.length());
           
        }
        src = part1 + part2;
        //Tracer.trace("message after replace = " + src);
        return src;

    } 

%> 

<CENTER>
<BR>
Click the button to transmit your quote to Buyer, where you can build your purchase requisition and send it for approval.
	
    <FORM NAME="transmit" ACTION="<%= postBackUrl%>" METHOD="POST">
    <INPUT TYPE="hidden" NAME="cxml-urlencoded" VALUE="<%= punchOutOrderMessage%>">

 <table cellpadding="0" cellspacing="0" border="0">
		<tr>
		 <td>
		  <table cellpadding="0" cellspacing="0" border="0" align="left">
		   <tr>
		    <td bgcolor="ff2d2d"><img src="<%=fileDir%>images/lb.gif" width=2 height=2 border=0 alt=""></td>
		    <td bgcolor="ff2d2d"><img src="<%=fileDir%>images/lb.gif" width=2 height=2 border=0 alt=""></td>
		    <td><img src="<%=fileDir%>images/r_top.gif" width=2 height=2 border=0 alt=""></td>
		   </tr>
		   <tr>
		    <td bgcolor="ff2d2d"><img src="<%=fileDir%>images/lb.gif" width=2 height=2 border=0 alt=""></td>
			<td bgcolor="e78e00">
			<table cellpadding="2" cellspacing="0" border="0">
			 </td>
			<td class="buttontext"><font color="#ffffff"><a href="javascript:document.transmit.submit()" style="color:#ffffff; text-decoration : none;">Transmit Order</a></font></td>
			</tr>
			</table>
			</td>
			<td bgcolor="7a1616"><img src="<%=fileDir%>images/db.gif" width=2 height=2 border=0 alt=""></td>
			</tr>
			<tr>
			<td><img src="<%=fileDir%>images/l_bot.gif" width=2 height=2 border=0 alt=""></td>
			<td bgcolor="7a1616"><img src="<%=fileDir%>images/db.gif" width=2 height=2 border=0 alt=""></td>
			<td bgcolor="7a1616"><img src="<%=fileDir%>images/db.gif" width=2 height=2 border=0 alt=""></td>
			</tr>
			<tr>
			<td bgcolor="cccccc" colspan=3><img src="<%=fileDir%>images/shadow.gif" width=2 height=2 border=0 alt=""></td>
			</tr>
			</table>
			<br>
			<br>
		      <br>
			</TD>
			</TR>
			</TABLE>
		
    
    </FORM>
</CENTER>
