<%
/*
 *----------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. 2001-2004
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *----------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested under all conditions.  IBM, therefore, cannot
//* guarantee its reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names are fictitious and any similarity
//* to the names and addresses used by actual persons or business
//* enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*
%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://commerce.ibm.com/base" prefix="wcbase" %>
<%@ taglib uri="flow.tld" prefix="flow" %>
<%@ include file="include/JSTLEnvironmentSetup.jspf" %>
<%@ include file="include/ErrorMessageSetup.jspf"%>

<c:set var="liveHelpShoppingCartItems" value="0" />

<wcbase:useBean id="orderListBean" classname="com.ibm.commerce.order.beans.OrderListDataBean">
<c:set target="${orderListBean}" property="storeId" value="${CommandContext.storeId}"/>
<c:set target="${orderListBean}" property="orderStatus" value="W"/>
<c:set target="${orderListBean}" property="userId" value="${userId}"/>
</wcbase:useBean>
<wcbase:useBean id="orderDataBean" classname="com.ibm.commerce.order.beans.OrderDataBean">
	<c:set target="${orderDataBean}" property="orderId" value="${orderId}"/>
</wcbase:useBean>

<c:out value="storeId: ${CommandContext.storeId}"/>
<c:out value="userId: ${userId}"/>
<c:out value="currentPendingOrderId: ${currentPendingOrderId}"/>
<c:out value="empty: ${orderListBean.emptyShopCart}"/>
<c:out value="number of orders: ${orderListBean.numberOfOrders}"/>

<c:choose>       
<c:when test="${orderListBean.emptyShopCart}">
     <c:set var="EmptyOrderFile" value="${jspStoreDir}ShoppingArea/CurrentOrderSection/EmptyOrderDisplay.jsp"/>
     <c:import url="${EmptyOrderFile}">
     </c:import>

</c:when>  

       <c:when test="${orderListBean.numberOfOrders > 1 }">
       <%/* 
                 If there is more than 1 order, OrderItemMove is called to move all the orders into one order. 
                 OrderItemMove uses the deleteIfEmpty parameter to delete all the empty orders left over after the move. 
                 Here, we use inRemerge/outRemerge=* to remerge previously split order items together and 
                 use inReverse/outReverse=* to de-allocate the order items.
       */%>
              <c:url var="sWebAppPath" value="${requestScope.requestServletPath}/OrderItemMove">
                     <c:param name="deleteIfEmpty" value="*"/>
                     <c:param name="fromOrderId" value="*"/>
                     <c:param name="toOrderId" value="."/>
                     <c:param name="inAllocate" value="*n"/>
                     <c:param name="inBackorder" value="*n"/>              
                     <c:param name="inRemerge" value="*"/>
                     <c:param name="inMerge" value="*n"/>
                     <c:param name="inReverse" value="*"/>
                     <c:param name="outAllocate" value="*n"/>
                     <c:param name="outBackorder" value="*n"/>
                     <c:param name="outRemerge" value="*"/>
                     <c:param name="outMerge" value="*n"/>
                     <c:param name="outReverse" value="*"/>
                     <c:param name="storeId" value="${storeId}"/>
                     <c:param name="catalogId" value="${catalogId}"/>
                     <c:param name="URL" value="OrderItemDisplay?storeId=${storeId}&catalogId=${catalogId}&orderId=.&orderItemId*=&quantity*="/>
              </c:url>
              <meta http-equiv="Refresh" content="0;URL=
              <c:out value="${sWebAppPath}"/>"/>
       </c:when>
       <c:otherwise>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<!-- BEGIN CurrentOrderDisplay.jsp -->
<head>
<title>Your Order Summary</title>
<link rel="stylesheet" href="<c:out value="${jspStoreImgDir}${vfileStylesheet}"/>" type="text/css"/>

<script language="javascript">

      
       <%
       /* 
        * By default, all input parameters to the controller command are propagated to the redirect view command.
        *  If there is a limit on the number of characters in the redirect URL, this may cause a problem.
        *  To handle a limited length redirect URL, the javascript below invokes the command using special parameters to indicate 
        *  that certain input parameters should be removed. For example, you can specify the following as the URL parameter: 
        *  orderItemId*=&quantity*=
        *  This specification means that all parameters whose names start with orderItemId and quantity should be removed.
        */
       %>
       

       function submitForm(form,url)
       {
              
			  form.URL.value = "SendShoppingCart?orderId=<c:out value="${orderId}"/>&storeId=<c:out value="${storeId}"/>&userId=<c:out value="${userId}"/>&orderStatus=<c:out value="P"/>";

	var variable = "SendShoppingCart?orderId=<c:out value="${orderId}"/>&storeId=<c:out value="${storeId}"/>&userId=<c:out value="${userId}"/>&orderStatus=<c:out value="P"/>";
	document.ShopCartForm.action=variable;
	form.submit();
       }



</script>
<flow:ifEnabled feature="customerCare"> 
<script language="javascript">
                     if (typeof parent.setShoppingCartItems == 'function')
                            parent.setShoppingCartItems(<c:out value="${liveHelpShoppingCartItems}"/>);
              
</script>
</flow:ifEnabled> 
</head>
<body class="noMargin">

<flow:ifEnabled feature="customerCare"> 
<%
// Set header type needed for this JSP for LiveHelp.  This must
// be set before HeaderDisplay.jsp
request.setAttribute("liveHelpPageType", "personal");
%>

</flow:ifEnabled> 

<%@ include file="include/LayoutContainerTop.jspf"%>
		<img alt="<fmt:message key="Checkout_AccessibilityDescription" bundle="${storeText}" />" src="<c:out value="${jspStoreImgDir}" />images/trans.gif" width="1" height="1" border="0"/>
        <!-- content start -->
        <wcbase:useBean id="usablePaymentTC" classname="com.ibm.commerce.payment.beans.UsablePaymentTCListDataBean">
              <c:set target="${usablePaymentTC}" property="orderId" value="${orderListBean.orders[0].orderId}"/>
       </wcbase:useBean>
        
<%

              // find the applicable payment methods
              //UsablePaymentTCListDataBean usablePaymentTC = new UsablePaymentTCListDataBean();
              //usablePaymentTC.setOrderId(new Long(((OrderAccessBean) orders.elementAt(0)).getOrderId()));
              //com.ibm.commerce.beans.DataBeanManager.activate(usablePaymentTC, request);
              //PaymentTCInfo[] paymentTCInfo = usablePaymentTC.getPaymentTCInfo();
       %> <table cellpadding="8" cellspacing="0" border="1" id="WC_CurrentOrderDisplay_Table_2">
          <tbody>
            <tr>
              <td id="WC_CurrentOrderDisplay_TableCell_3"> <p></p>
                <h1><fmt:message key="YourOrder_Title" bundle="${storeText}"/></h1>
				           <c:choose>
                              <c:when test="${'_ERR_RETRIEVE_PRICE.1002' eq storeError.key}">
                              <fmt:bundle basename="${jspStoreDir}storeErrorMessages">
                                                 <fmt:message key="${storeError.key}" var="pageErrorMessage">       
                                                        <fmt:param value="${storeError.messageParameters[4]}"/>
                                                 </fmt:message>
                                          </fmt:bundle>
                                          </c:when>
                                          <c:otherwise>
                                                 <c:set var="pageErrorMessage" value="${errorMessage}"/>
                                          </c:otherwise>
                                    </c:choose>
                                    <c:if test="${!empty pageErrorMessage}">
                                           <p><span class="warning"><c:out value="${pageErrorMessage}"/></span><br />
                                              <br />
                                            </p>
                              </c:if>
                              
                
              <form name="ShopCartForm" action="SendShoppingCart" method="post" id="ShopCartForm">
                              <input type="hidden" name="storeId" value="<c:out value="${storeId}"/>" id="WC_CurrentOrderDisplay_FormInput_check_In_ShopCartForm_1"/>
                  <input type="hidden" name="catalogId" value="<c:out value="${catalogId}"/>" id="WC_CurrentOrderDisplay_FormInput_merge_In_ShopCartForm_1"/>
                  <input type="hidden" name="langId" value="<c:out value="${langId}"/>" id="WC_CurrentOrderDisplay_FormInput_remerge_In_ShopCartForm_1"/>
                           <input type="hidden" name="errorViewName" value="InvalidInputErrorView"/>
                  <input type="hidden" name="check" value="*n" id="WC_CurrentOrderDisplay_FormInput_check_In_ShopCartForm_1"/>
                  <input type="hidden" name="merge" value="*n" id="WC_CurrentOrderDisplay_FormInput_merge_In_ShopCartForm_1"/>
                  <input type="hidden" name="remerge" value="*n" id="WC_CurrentOrderDisplay_FormInput_remerge_In_ShopCartForm_1"/>
                  <input type="hidden" name="reverse" value="*n" id="WC_CurrentOrderDisplay_FormInput_reverse_In_ShopCartForm_1"/>
                  <input type="hidden" name="allocate" value="*n" id="WC_CurrentOrderDisplay_FormInput_allocate_In_ShopCartForm_1"/>
                  <input type="hidden" name="backorder" value="*n" id="WC_CurrentOrderDisplay_FormInput_backorder_In_ShopCartForm_1"/>
                  <input type="hidden" name="orderId" value="*" id="WC_CurrentOrderDisplay_FormInput_orderId_In_ShopCartForm_1"/>
                  <input type="hidden" name="URL" value="BillingShippingView" id="WC_CurrentOrderDisplay_FormInput_URL_In_ShopCartForm_1"/>
                  <table cellpadding="0" cellspacing="0" border="0" width="100%" class="bgColor" id="WC_CurrentOrderDisplay_Table_3">
                    <tbody>
					  <tr>
                        <td id="WC_CurrentOrderDisplay_TableCell_4"> <table width="100%" border="0" cellpadding="2" cellspacing="1" id="WC_CurrentOrderDisplay_Table_4">
                            <tr class="bgColor">
                              					
                                      <th valign="top" class="colHeader" id="CurrentOrderTH_Quantity"><fmt:message key="YourOrder_Quantity" bundle="${storeText}"/></th>
                                    
                                      <th valign="top" class="colHeader" id="CurrentOrderTH_SKU"><fmt:message key="YourOrder_SKU" bundle="${storeText}"/></th>
                                    
                                      <th valign="top" class="colHeader" id="CurrentOrderTH_Name"><fmt:message key="YourOrder_Name" bundle="${storeText}"/></th>
                                    
                                      <th valign="top" class="colHeader" id="CurrentOrderTH_Man"><fmt:message key="YourOrder_Man" bundle="${storeText}"/></th>
                                                                                                     
                                      <th valign="top" class="colHeader" id="CurrentOrderTH_Total"><fmt:message key="YourOrder_Total" bundle="${storeText}"/></th>
                                    
                                    
                            </tr>
                            <c:set var="counter" value="0"/>
                            <c:set var="i" value="0"/>
                                <c:forEach items="${orderListBean.orderDataBeans}" var="order">
                                       <c:set var="orderItems" value="${order.orderItemDataBeans}"/>
                                       <c:set var="orderRn" value="${order.orderId}"/>
                                       <c:set var="j" value="0"/>
                                       <c:forEach items="${order.orderItemDataBeans}" var="orderItem">
                                              <c:set var="counter" value="${counter+1}"/>
                                              <c:choose>
                                                  <c:when test="${(j mod 2)==0}">
                                                         <c:set var="sRowColor" value="cellBG_1"/>
                                                  </c:when>
                                                  <c:otherwise>
                                                         <c:set var="sRowColor" value="cellBG_2"/>
                                                  </c:otherwise>
                                           </c:choose>
                            <flow:ifEnabled feature="customerCare"> 
                                   <c:set var="liveHelpShoppingCartItems" value="${orderItem.quantityInIntValue}"/>
                            </flow:ifEnabled> 
                            <tr class="<c:out value="${sRowColor}"/>" valign="top">
                            <td headers="CurrentOrderTH_Quantity" align="center" rowspan="2" id="WC_CurrentOrderDisplay_TableCell_21_<c:out value="${i}_${j}"/>"><c:out value="${orderItem.quantityInIntValue}"/>
                                <input type="hidden" name="orderItemId_<c:out value="${counter}"/>" value="<c:out value="${orderItem.orderItemId}"/>" id="WC_CurrentOrderDisplay_FormInput_orderItemId_<c:out value="${counter}"/>_In_ShopCartForm_1_<c:out value="${i}_${j}"/>"/></td>
                              <td headers="CurrentOrderTH_SKU" rowspan="2" id="WC_CurrentOrderDisplay_TableCell_22_<c:out value="${i}_${j}"/>"><c:out value="${orderItem.catalogEntry.partNumber}"/></td>
                              <td headers="CurrentOrderTH_Name" rowspan="2" class="summary" id="WC_CurrentOrderDisplay_TableCell_23_<c:out value="${i}_${j}"/>"> <a href="ProductDisplay?productId=<c:out value="${orderItem.catalogEntryId}"/>" id="WC_CurrentOrderDisplay_Link_2_<c:out value="${i}_${j}"/>"><c:out value="${orderItem.catalogEntry.description.shortDescription}"/></a><br /> 
                                            <wcbase:useBean id="item" classname="com.ibm.commerce.catalog.beans.ItemDataBean">
                                          <c:set target="${item}" property="itemID" value="${orderItem.catalogEntryId}"/>
                                   </wcbase:useBean>
                                        <c:set value="${item.attributeValueDataBeans}" var="attrvalues"/>       

                            <%
                                 // Loop through attributes values and only show the value that is relavent to the attribute for this SKU
                            // Usage code of 3 is used by stores based on PC catalog
                            // Usage code of 1 is used by stores based on Hardware catalog
                            // Usage code null also denotes defining attributes.                                                                                                                              
                            %>
                            <c:forEach items="${attrvalues}" var="attrvalue">
                                       <c:if test="${empty attrvalue.attributeDataBean.usage || attrvalue.attributeDataBean.usage=='3' || attrvalue.attributeDataBean.usage=='1'}">
                                          <strong><c:out value="${attrvalue.attributeDataBean.description}"/> : </strong> <c:out value="${attrvalue.value}"/><br />
                                          </c:if>
                            </c:forEach>
                            </td>
                              <td headers="CurrentOrderTH_Man" rowspan="2" id="WC_CurrentOrderDisplay_TableCell_24_<c:out value="${i}_${j}"/>"><c:out value="${orderItem.catalogEntry.manufacturerName}"/></td>
                              <td headers="CurrentOrderTH_Total" rowspan="2" colspan="2" class="price" id="WC_CurrentOrderDisplay_TableCell_27_<c:out value="${i}_${j}"/>"><c:out value="${orderItem.formattedTotalProduct}" escapeXml="false"/></td>
                            </tr>
                            <tr>
                              
                            </tr>
                            <c:set var="j" value="${j+1}"/>
                           
                     </c:forEach>
                     <%//end j%>
                        <c:choose>
                             <c:when test="${(i == 0)}">
                                    <c:set var="formattedTotalPrice" value="${order.formattedTotalProductPrice}"/>
                             </c:when>
                             <c:otherwise>
                                    <c:set var="formattedAmount" value="${order.formattedTotalProductPrice}"/>
                                    <c:set target="${formattedTotalPrice}" property="amount" value="${formattedAmount.amount+formattedTotalPrice.amount}"/>
                             </c:otherwise>
                      </c:choose>
                      <c:set var="i" value="${i+1}"/>
              </c:forEach>
              <%//end i%>
                            <tr class="<c:out value="${sRowColor}"/>"> 
                              <td colspan="4" align="right" id="WC_CurrentOrderDisplay_TableCell_33"><strong><fmt:message key="YourOrder_Sub" bundle="${storeText}"/></strong></td>
                              <td colspan="2" class="price" id="WC_CurrentOrderDisplay_TableCell_34"><c:out value="${formattedTotalPrice}"/></td>
                                                          </tr>
                          </table></td>
						  
                      </tr>
                    </tbody>
                  </table>
                 
                  <p><a href="javascript:submitForm(document.ShopCartForm)" class="button" id="WC_CurrentOrderDisplay_Link_6"><fmt:message key="Checkout_Submit" bundle="${storeText}"/></a><br />
                  </p>
                </form>
              </td>
            </tr>
          </tbody>
        </table>
        <!--content end-->

       </c:otherwise>
</c:choose>
<%-- Hide CIP --%>
<c:set var="HideCIP" value="true"/>

<%@ include file="include/LayoutContainerBottom.jspf"%>

</body>
<!-- END CurrentOrderDisplay.jsp -->
</html>
 
